Change API level to 33

UPDATE: I made this guide a while ago, it still works for API33. the procedure is the same

just compile the APK as usual

Now it will be necessary to have the program (APK Easy Tool 1.6) comes in a portable version

once downloaded, in my case, the directory creates a folder called APK to have the file that I just compiled.

then we execute the apkeasytool and we go to browse > we select the APK and click on Decompile

when finished, at the bottom we can see what it says (SDK 31) we open the decompile directory

API: With any text editor we open the apktool.yml file and change the value to 33

now we compile the APK you can already see that the SDK increased to 33, send it to the mobile along with our android.keystore file to convert it to AAB and be able to sign it

on the mobile device we will need 2 apps APKtoAAB and Zipsigner

16

open the APKtoAAB load the APK and convert it to AAB

We open the ZipSigner and look for the directory where our AAB is

Then we go to the 3 dots and select My Keys > Register keystore

we select our android.keystore and it will ask us for a password, we place (android)

in Key/mode we select androidkey and give the button Sign the file.

We wait for the process to finish and that will be all.

We would already have our ABB with API 33

11 Likes

Excellent guide! :+1:t2:

Wow thanks so much for this guide

APK to AAB converter enlarges the apk from 6 mb up to 16mb in aab. What it add inside? Another app does not change the size of aab, even slightly reduce.

1 Like

I don’t know.
Maybe the core of Skynet :thinking:

When I upload the signed apk to google play store I get always: “MIN_SIG_SCHEME_FOR_TARGET_SDK_NOT_MET: Target SDK version 33 requires a minimum of signature scheme v2; the APK is not signed with this or a later signature scheme.”
Maybe ZipSigner is too old?
I can’t find any new updates.
I have version 3.4.

I also use 3.4 without any problem, yesterday I started the updates

Hello.
@nikzdevz When update your app for API 33.

When will release.

i will add sdk 33 this week

1 Like

Ok thank you man

I need some help… I already researched and didn’t find the solution… I’m following the step by step, but it’s showing an error in the compilation. Could someone guide me how to solve it please.

the error message says “Please read the log”… so the question is, what does the log say?

btw why exactly do you want to change the API level manually now? There is no need to do it…
see also

Taifun

Hello tufão.
I’ll be glad if you can guide me…
There is a warning on google paly, on my app on google play.

:::::::App updates will not be released (6 days from now)
App must target Android 13 (API level 33) or higher
To provide a secure user experience, Google Play requires all apps to meet the desired API level requirements.

From the 30th of Aug. 2023, if your target API level is not within one year of the latest Android version, you will not be able to update your app.:::::::

Do you have another way to solve it?

The log that appears is this:


Compiling APK file… (Press ESC to cancel)
Command: java.exe -jar “C:\Users\vt311035\OneDrive\1 Kodular\APK Easy Tool Portable\Apktool\apktool_2.6.1.jar” b -f --use-aapt2 -o “C:\Users\vt311035 \OneDrive\1 Kodular\APK Easy Tool Portable\2-Recompiled APKs\EstudeDireito_451.apk” “C:\Users\vt311035\OneDrive\1 Kodular\APK Easy Tool Portable\1-Decompiled APKs\EstudeDireito_451”

I: Using Apktool 2.6.1
I: Smaling smali folder into classes.dex…
Exception in thread “main” java.lang.OutOfMemoryError: Java heap space
at java.util.Arrays.copyOfRange(Unknown Source)
at java.lang.String.(Unknown Source)
at java.lang.StringBuilder.toString(Unknown Source)
at org.antlr.runtime.BufferedTokenStream.toString(BufferedTokenStream.java:266)
at org.jf.smali.smaliTreeWalker.nonvoid_type_descriptor(smaliTreeWalker.java:7183)
at org.jf.smali.smaliTreeWalker.type_descriptor(smaliTreeWalker.java:7321)
at org.jf.smali.smaliTreeWalker.method_prototype(smaliTreeWalker.java:2455)
at org.jf.smali.smaliTreeWalker.method_reference(smaliTreeWalker.java:3018)
at org.jf.smali.smaliTreeWalker.insn_format35c_method(smaliTreeWalker.java:6548)
at org.jf.smali.smaliTreeWalker.instruction(smaliTreeWalker.java:5138)
at org.jf.smali.smaliTreeWalker.ordered_method_items(smaliTreeWalker.java:4150)
at org.jf.smali.smaliTreeWalker.method(smaliTreeWalker.java:2330)
at org.jf.smali.smaliTreeWalker.methods(smaliTreeWalker.java:1071)
at org.jf.smali.smaliTreeWalker.smali_file(smaliTreeWalker.java:458)
at brut.androlib.mod.SmaliMod.assembleSmaliFile(SmaliMod.java:80)
at brut.androlib.src.SmaliBuilder.buildFile(SmaliBuilder.java:71)
at brut.androlib.src.SmaliBuilder.build(SmaliBuilder.java:56)
at brut.androlib.src.SmaliBuilder.build(SmaliBuilder.java:37)
at brut.androlib.Androlib.buildSourcesSmali(Androlib.java:430)
at brut.androlib.Androlib.buildSources(Androlib.java:361)
at brut.androlib.Androlib.build(Androlib.java:313)
at brut.androlib.Androlib.build(Androlib.java:280)
at brut.apktool.Main.cmdBuild(Main.java:255)
at brut.apktool.Main.main(Main.java:82)
Compile failed. Please read the log

Click here for more infomation about Apktool issues
https://forum.xda-developers.com/t/tool-windows-apk-easy-tool-v1-58-3-dec-2020.3333960/#post-65775601

Update to api 33 in 1 click

1 Like

Yes, it is ONLY a warning
No need to panic…

Taifun

Right!
The warning says that in 5 days I will no longer be able to release updates.
How will I do it?

::::App updates will not be released (5 days from now)
App must target Android 13 (API level 33) or higher

To provide a secure user experience, Google Play requires all apps to meet the desired API level requirements.

From the 30th of Aug. 2023, if the desired API level is not within one year of the latest Android version, the app will not be able to be updated::::

APK Easy Tool 1.6 and you are using 2.6.1 for some reason indicate the necessary version to be sure of operation.

a temporary solution to extend the deadline until November has been mentioned here

Taifun

1 Like

how to fix this problem “To upload an Android App Bundle you must be enrolled in Play App Signing.”